package com.seer.teach.teacher.resolver.impl;

import com.seer.teach.common.context.PromptContextHolder;
import com.seer.teach.teacher.common.dto.LessonContextDTO;
import com.seer.teach.teacher.resolver.PromptVariableResolver;
import org.springframework.stereotype.Component;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-12-06 10:28
 */
@Component
public class PointResolver implements PromptVariableResolver {

    @Override
    public String supportKey() {
        return "point";
    }

    @Override
    public String resolve() {
        LessonContextDTO ctx = (LessonContextDTO) PromptContextHolder.get(PromptContextHolder.LESSON);
        return ctx.getTeachDTO().getPoint();
    }
}
